org.apache.synapse.transport.nhttp

## Class ClientWorker

- java.lang.Object
- - org.apache.synapse.transport.nhttp.ClientWorker

- All Implemented Interfaces:
    Runnable

      public class ClientWorker
      extends Object
      implements Runnable

  Performs processing of the HTTP response received for our outgoing request. An instance of this class is created to process each unique response.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientWorker(org.apache.axis2.context.ConfigurationContext cfgCtx, InputStream in, org.apache.http.HttpResponse response, org.apache.axis2.context.MessageContext outMsgCtx, String endpointURLPrefix)` Create the thread that would process the response message received for the outgoing message context sent

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()` Process the received response through Axis2

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientWorker

          public ClientWorker(org.apache.axis2.context.ConfigurationContext cfgCtx,
                              InputStream in,
                              org.apache.http.HttpResponse response,
                              org.apache.axis2.context.MessageContext outMsgCtx,
                              String endpointURLPrefix)

      Create the thread that would process the response message received for the outgoing message context sent
      Parameters:
        `cfgCtx` - the Axis2 configuration context
        `in` - the InputStream to read the body of the response message received
        `response` - HTTP response received from the server
        `outMsgCtx` - the original outgoing message context (i.e. corresponding request)
        `endpointURLPrefix` - The endpoint URL prefix

  - ### Method Detail

    - #### run

          public void run()

      Process the received response through Axis2
      Specified by:
        `run` in interface `Runnable`

Copyright © 2005–2019 Apache Software Foundation. All rights reserved.